from axelrod.action import Action
from axelrod.player import Player
IIlllIIlII, IlllIIlIIlIIlIIII = Action.C, Action.D
class lIlllIIIlIIllIllIIl(Player):
    IIIlIllIlIIIIIII = "strategy"
    llIlIIIIlIII = {
        "memory_depth": float("inf"),  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def lllIllIIIl(llIlIIlllll, IIllIIlIllIIlll: Player) -> Action:
        if IIllIIlIllIIlll.defections > len(IIllIIlIllIIlll.history) / 10:
            return IIllIIlIllIIlll.history[-1]
        return IIlllIIlII